Event List
List events from TYPO3.
Fields
id (integer)
Primary key.
url (string)
URL pointing to the original location of this event object.
media ([object])
List of associated media objects.
breadcrumb ([object])
List of nodes in the page tree where this news objects is located.
categories ([integer])
List of foreign keys to TYPO3 categories.
groups ([object])
List of foreign keys to TYPO3 groups.
body (string)
Full description of news with embedded HTML.
link (string)
URL pointing to the an external site related to this event.
start (timestamp)
Begin of event.
end (timestamp)
End of event.
allday (boolean)
All-day event.
title (string)
Titel of event.
organizer (string)
Name of person responsible for event.
location (string)
Description of location where event will take place.
teaser (string)
Short summary of event description without HTML.
register (boolean)
Registration required for event attendance.
registration_end (timestamp)
Deadline for event registration.
attending_fees (boolean)
Event attendance requires a fee.
attending_fees_info (string)
Informative text about detailing attendance fees.
dfp_points (integer)
The amount of DFP points credited for attendance.
contact (string)
The name of a person or party to contact in regards to this event.
email (string)
The email address of a person or party to contact in regards to this event.
last_modified (datetime)
Date and time of last modification to this event.
language (integer)
Foreign key to TYPO3 language.
Filters
To filter for exact value matches:
?<fieldname>=<value>
For advanced filtering use lookups:
?<fieldname>__<lookup>=<value>
Possible lookups:
title:iexact,contains,icontains,startswith,istartswith,endswith,iendswith,regex,iregexorganizer:iexact,contains,icontains,startswith,istartswith,endswith,iendswith,regex,iregexlocation:iexact,contains,icontains,startswith,istartswith,endswith,iendswith,regex,iregexteaser:iexact,contains,icontains,startswith,istartswith,endswith,iendswith,regex,iregexstart:exact,gt,lt,gte,lte,contains,startswithend:exact,gt,lt,gte,lte,contains,startswithregistration_end:exact,gt,lt,gte,lte,contains,startswithdfp_points:exact,gt,lt,gte,ltecontact:iexact,contains,icontains,startswith,istartswith,endswith,iendswith,regex,iregexemail:iexact,contains,icontains,startswith,istartswith,endswith,iendswith,regex,iregexlast_modified:exact,gt,lt,gte,lte,contains,startswith
Expansions
To activate relation expansion add the desired fields as a comma separated
list to the expand query parameter like this:
?expand=<field>,<field>,<field>,...
The following relational fields can be expanded:
language
GET /v1/typo3/event/?format=api&offset=3860
{ "count": 3861, "next": null, "previous": "https://api-test.medunigraz.at/v1/typo3/event/?format=api&limit=20&offset=3840", "results": [ { "id": 13, "url": null, "media": [], "gallery": [], "contact_box": [], "breadcrumb": [ { "uid": 8761, "pid": 1, "title": "News-Storage", "is_siteroot": false, "domains": [], "uri": null }, { "uid": 1, "pid": 0, "title": "Med Uni Graz", "is_siteroot": false, "domains": [], "uri": null } ], "categories": [], "groups": [], "link": null, "header_image": { "url": "https://api-test.medunigraz.at/typo3/media/23623/", "original": null, "mimetype": "image/png", "filename": "20140704-isc.png", "size": 45580 }, "related_links": [], "related_media": [], "start": "2014-07-02T12:55:00+02:00", "end": "2014-07-03T02:00:00+02:00", "allday": false, "title": "International: 40 Nationen zum ISC 2014 erwartet", "organizer": null, "location": null, "teaser": "International Student Congress: 280 Studierende aus 40 Ländern", "body": "\"Share your experience\" – an der Med Uni GrazDer österreichweit einzigartige internationale Kongress für Studierende geht heuer an der Medizinischen Universität Graz bereits in die zweite Runde. Nach der erfolgreichen Premiere im Vorjahr gilt es für die zweite Auflage rekordverdächtige Zahlen zu vermelden: 280 Studierende aus 40 Ländern werden vom 10. bis zum 12. Juli 2014 den International Student Congress ISC an der Med Uni Graz besuchen. 192 Wissenschaftliche Arbeiten wurden zum Kongress eingereicht.
", "keywords": null, "description": null, "register": false, "registration_end": null, "attending_fees": false, "attending_fees_info": null, "dfp_points": null, "contact": null, "email": null, "last_modified": "2014-10-13T09:37:13+02:00", "language": null } ] }